#!/bin/sh
set -e -u
export PYTHONWARNINGS=d

cd "$AUTOPKGTEST_TMP"

# smoke test only
for c in $(dpkg -L translate-toolkit |
           grep /usr/bin/ |
           grep -v -e build_firefox -e junitmsgfmt -e phase -e pocommentclean -e posplit -e mozfunny2prop -e prop2mozfunny |
           sort); do
  echo "========= SMOKE TEST: $c ==========="
  $c --help 2>&1 || true
  $c --help 2>&1 | grep -qi usage
done
